Update a login message configuration
Updates the login message configuration to modify the messages displayed during user login. This can be useful for customizing user interaction or providing important information to users as they access the system.
HTTP method and endpoint
PATCH /security/login/messages/{uuid}
Introduced in
ONTAP 9.6
Usage notes
Updates the login messages configuration. There are no required fields. An empty body makes no modifications.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
path |
True |
Login messages configuration UUID |
Request Body
| Name | Type | Description |
|---|---|---|
banner |
string |
The login banner text. This message is displayed during SSH and console device login just before the password prompt displays. When configured, a cluster-level login banner is used for every incoming connection. Each data SVM can override the cluster-level banner to instead display when you log into the SVM. To restore the default setting for a data SVM, set the banner to an empty string. New lines are supplied as either LF or CRLF but are always returned as LF. Optional in the PATCH body. |
message |
string |
The message of the day (MOTD). This message appears just before the clustershell prompt after a successful login. When configured, the cluster message displays first. If you log in as a data SVM administrator, the SVM message is then printed. The cluster-level MOTD can be disabled for a given data SVM using the "show_cluster_message" property. New lines are supplied as either LF or CRLF but are always returned as LF. Optional in the PATCH body. |
scope |
string |
Set to "svm" for interfaces owned by an SVM. Otherwise, set to "cluster". |
show_cluster_message |
boolean |
Specifies whether to show a cluster-level message before the SVM message when logging in as an SVM administrator. This setting can only be modified by cluster administrators. Optional in the PATCH body. |
uuid |
string |
The unique identifier (ID) of the login messages configuration. |
Example request
{
"banner": "string",
"message": "string",
"scope": "string",
"uuid": "string"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response codes
| Error codes | Description |
|---|---|
10225636 |
Only a cluster administrator can modify the |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
login_messages
The login banner and message of the day (MOTD) configuration.
| Name | Type | Description |
|---|---|---|
banner |
string |
The login banner text. This message is displayed during SSH and console device login just before the password prompt displays. When configured, a cluster-level login banner is used for every incoming connection. Each data SVM can override the cluster-level banner to instead display when you log into the SVM. To restore the default setting for a data SVM, set the banner to an empty string. New lines are supplied as either LF or CRLF but are always returned as LF. Optional in the PATCH body. |
message |
string |
The message of the day (MOTD). This message appears just before the clustershell prompt after a successful login. When configured, the cluster message displays first. If you log in as a data SVM administrator, the SVM message is then printed. The cluster-level MOTD can be disabled for a given data SVM using the "show_cluster_message" property. New lines are supplied as either LF or CRLF but are always returned as LF. Optional in the PATCH body. |
scope |
string |
Set to "svm" for interfaces owned by an SVM. Otherwise, set to "cluster". |
show_cluster_message |
boolean |
Specifies whether to show a cluster-level message before the SVM message when logging in as an SVM administrator. This setting can only be modified by cluster administrators. Optional in the PATCH body. |
uuid |
string |
The unique identifier (ID) of the login messages configuration. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |